# List all locations

```http
GET https://api.synup.com/api/v4/locations
```

This API retrieves a paginated list of locations within the account, allowing for efficient data retrieval when managing multiple locations.

Source: https://developer.synup.com/api/locations/list-all-locations

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `first` | integer | optional | Number of records to fetch from the most recent ones (i.e., from the end). Defaults to 50 if not provided. |
| `last` | integer | optional | Number of records to fetch from the earliest ones (i.e., from the beginning). |
| `after` | string | optional | Cursor to fetch records after |
| `before` | string | optional | Cursor to fetch records before |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/locations' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `400` | Bad location ID or invalid parameters |
